| Qore XdbcFirebirdSqlUtilBase Module Reference 0.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XdbcFirebirdSqlUtilBase::XdbcFirebirdView Class Reference

represents a Firebird view More...

## Public Member Functions
| constructor (string name, string src)
| creates the object from the arguments
string | getCreateSql (*hash< auto > opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash< auto > opt)
| returns a string that can be used to rename the view in the database

## Detailed Description

represents a Firebird view

## Member Function Documentation

## ◆ getRenameSql()

softlist XdbcFirebirdSqlUtilBase::XdbcFirebirdView::getRenameSql | ( | string | new_name,
|  | *hash< auto > | opt )

returns a string that can be used to rename the view in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored